<ui:composition
        xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
        xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
        xmlns="http://www.w3.org/1999/xhtml">
    <div class="row gzl-sut-report panel panel-default">
        <div class="gzl-sut-report-panel-heading" style="border-color: transparent">
            <div class="row panel-title">
                <div class="col-md-11">
                    <h4>
                        #{sutReport.sutKeyword}
                    </h4>
                </div>
                <a class="col-md-1" id="idIcon" data-toggle="collapse" href="#name#{sutReport.id}"
                   onclick="expandCollapseIcon(#{rowNumber})">
                    <h:outputText class="gzl-icon-collapse pull-right changeIcon" id="idIcon"
                                  rendered="#{testExecutionBeanGui.showTable(sutReport)}"/>
                </a>
                <div class="col-md-6">
                    <h3 class="gzl-sut-report-title">#{sutReport.profile}
                        #{sutReport.actor} (#{sutReport.option})
                    </h3>
                </div>
                <div class="col-md-2">
                    <h:outputText class="h4 #{sutReport.testingDepth.getStatusStyleClass()}"
                                  value="#{messages[sutReport.testingDepth.getLabelToDisplay()]}"/>
                </div>
                <s:div styleClass="col-md-4" rendered="#{!sutReport.status.isUnspecified()}">
                    <h:outputText
                            class="h4 #{sutReport.status.getStatusStyleClass()}"
                            value="#{messages[sutReport.status.getLabelToDisplay()]}"/>
                </s:div>
                <s:div styleClass="col-md-1"
                       rendered="#{testExecutionBeanGui.showProgressBar(sutReport)}">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.tm.TestExecutionProgress']}"
                    />
                </s:div>
                <s:div styleClass="col-md-2"
                       rendered="#{testExecutionBeanGui.showProgressBar(sutReport)}">
                    <div class="progress">
                        <div class="progress-bar progress-bar-success"
                             role="progressbar"
                             style="#{testExecutionBeanGui.getVerifiedProgressStyle(sutReport)}"
                             title="#{messages['net.ihe.gazelle.tm.NumberOfVerifiedTestRuns']}">
                            #{testExecutionBeanGui.getTotalVerifiedRun(sutReport)}
                        </div>
                        <div class="progress-bar progress-bar-grey"
                             role="progressbar"
                             style="#{testExecutionBeanGui.getTargetProgressLeftStyle(sutReport)}"
                             title="#{messages['net.ihe.gazelle.tm.NumberOfExpectedVerifiedTestRunsToCompleteThisTe']}">
                            #{testExecutionBeanGui.getNumberOfTestLeft(sutReport)}
                        </div>
                    </div>
                </s:div>
            </div>
        </div>
        <div class="panel-collapse collapse in" id="name#{sutReport.id}" aria-expanded="true"
             style="padding-left: 10px;">
            <rich:dataTable value="#{testExecutionBeanGui.getTestReports(sutReport)}" var="testReport"
                            styleClass="gzl-sut-report-table"
                            rowClasses="gzl-sut-report-table-row1 gzl-sut-report-table-row2"
                            rendered="#{testExecutionBeanGui.showTable(sutReport)}">
                <g:column style="width:25%">
                    <ui:define name="header">
                        <h:outputText id="testCases"
                                      value="#{messages['net.ihe.gazelle.tm.TestCases']}"/>
                    </ui:define>
                    <s:span styleClass="gzl-icon-back" style="transform:rotate(180deg)"
                            rendered="#{testReport.inMetatest}"/>
                    <h:outputText value="#{testReport.testCase}"/>
                </g:column>
                <g:column style="width:5%">
                    <ui:define name="header">
                        <h:outputText id="action"
                                      value="#{messages['gazelle.common.Action']}"/>
                    </ui:define>
                    <a href="#{testReport.descriptionLink}" title="#{testReport.summary}">
                        <h:outputText class="gzl-icon-info-circle"/>
                    </a>
                    <a4j:commandLink
                            title="#{messages['gazelle.tm.testing.addTestInstance']}"
                            onRowMouseOver="this.style.cursor='pointer'"
                            action="#{testExecutionBeanGui.initializeOrStartTestRun(testReport)}"
                            immediate="true"
                            rendered="#{!testReport.isMetatest() and testExecutionBeanGui.isAbleToStartTestInstance()}">
                        <span class="gzl-icon-play"/>
                    </a4j:commandLink>
                    <s:span styleClass="fa gzl-icon-play-grey"
                            rendered="#{!testReport.isMetatest() and !testExecutionBeanGui.isAbleToStartTestInstance()}"/>
                </g:column>
                <g:column style="width:10%">
                    <ui:define name="header">
                        <h:outputText id="type"
                                      value="#{messages['gazelle.tm.tests.testType']}"/>
                    </ui:define>
                    <h:outputText value="#{testReport.type}" rendered="#{!testReport.isMetatest()}"/>
                    <h:outputText value="#{messages['net.ihe.gazelle.tm.Metatest']}"
                                  rendered="#{testReport.isMetatest()}"/>
                </g:column>
                <g:column style="width:10%">
                    <ui:define name="header">
                        <h:outputText id="optionality"
                                      value="#{messages['gazelle.tf.table.Optionality']}"/>
                    </ui:define>
                    <h:outputText value="#{messages[testReport.getOptionalityLabel()]}"
                                  rendered="#{!testReport.inMetatest}"/>
                </g:column>
                <g:column style="width:15%">
                    <ui:define name="header">
                        <h:outputText id="target"
                                      value="#{messages['net.ihe.gazelle.tm.Target']}"/>
                    </ui:define>
                    <h:outputText rendered="#{!testReport.inMetatest}"
                                  class="#{testExecutionBeanGui.getBadgeClass(testReport)}"
                                  value="#{testReport.getNumberOfTestRunVerified()} / #{testReport.target} #{messages['net.ihe.gazelle.tm.Runs']}"/>
                </g:column>
                <g:column style="width:20%">
                    <ui:define name="header">
                        <h:outputText id="partners"
                                      value="#{messages['net.ihe.gazelle.tm.Partners']}"/>
                    </ui:define>
                    <h:outputText value="#{messages['net.ihe.gazelle.tm.NopeerTest']}"
                                  rendered="#{testReport.partnerReports.isEmpty() and !testReport.isMetatest()}"/>
                    <a4j:repeat value="#{testReport.partnerReports}"
                                var="partnerReport">
                        <a4j:commandLink
                                value="#{testExecutionBeanGui.showPartnersCount(partnerReport)}"
                                title="#{partnerReport.roleKeyword}"
                                data-toggle="tooltip" data-placement="bottom"
                                actionListener="#{testExecutionBeanGui.setSelectedPartnerReport(partnerReport)}"
                                execute="@this"
                                oncomplete="jq162('#partnersModal').modal('show');"
                                immediate="true"
                                render=":partnersModalForm"/>
                        &#160;
                    </a4j:repeat>
                    <a4j:repeat value="#{testReport.getEquivalentTestReportPartners()}"
                                var="partnerReports">
                        <a4j:repeat value="#{partnerReports}"
                                    var="partnerReport">
                            <a4j:commandLink
                                    value="#{testExecutionBeanGui.showPartnersCount(partnerReport)}"
                                    title="#{partnerReport.roleKeyword}"
                                    data-toggle="tooltip" data-placement="bottom"
                                    actionListener="#{testExecutionBeanGui.setSelectedPartnerReport(partnerReport)}"
                                    execute="@this"
                                    oncomplete="jq162('#partnersModal').modal('show');"
                                    immediate="true"
                                    render=":partnersModalForm"/>
                            &#160;
                        </a4j:repeat>
                    </a4j:repeat>
                </g:column>
                <g:column style="width:15%">
                    <ui:define name="header">
                        <h:outputText id="testRuns"
                                      value="#{messages['net.ihe.gazelle.tm.Runs_Capitalized']}"/>
                    </ui:define>
                    <ui:repeat value="#{testReport.getTestRunReports()}"
                               var="testRun">
                        <s:div rendered="#{not empty testRun}">
                            <a href="#{testRun.getLocation()}"
                               title="#{testExecutionBeanGui.getRunningPartnersForTestRunReport(testRun)}">#{testRun.id}</a>
                            <span class="#{testRun.status.getStatusStyleClass()}"
                                  title="#{messages[testRun.status.getLabelToDisplay()]}"/>
                            <s:span styleClass="gzl-icon-exclamation-triangle"
                                    title="#{messages['net.ihe.gazelle.tm.ThisTestInstanceHasBeenAllowedThoughPartnersAreF']}"
                                    rendered="#{testRun.containsSameSystemsOrFromSameCompany}"/>
                            <br/>
                        </s:div>
                    </ui:repeat>
                </g:column>
            </rich:dataTable>
            <s:div styleClass="gzl-alert gzl-alert-blue"
                   rendered="#{!testExecutionBeanGui.showTable(sutReport)}">
                <h:outputText value="#{messages['net.ihe.gazelle.tm.cat.TestsFound0']}"/>
            </s:div>
        </div>
    </div>

    <script>
        function expandCollapseIcon(id) {
            let icon = document.getElementById('resultForm:capabilityGrid:' + id + ':idIcon');
            icon.classList.toggle("gzl-icon-collapse");
            icon.classList.toggle("gzl-icon-expand");
        }
    </script>
</ui:composition>
